Subject: Re: [PATCH net-next v2] filter: introduce SKF_AD_VLAN_TPID BPF extension

From: Alexei Starovoitov <[email-masked]>
Date: Fri, 20 Mar 2015 19:23:40 -0700

On 3/20/15 3:27 AM, Michal Sekletar wrote:
> On Thu, Mar 19, 2015 at 09:08:35AM -0700, Alexei Starovoitov wrote:
>> Since it's a new field, I think it makes sense not to do ntohs at all.
>> Let bpf programs do htons(PROTO_CONSTANT), since it can be done at
>> compile time instead of run-time.
>
> Doing htons is not needed for vlan_tci thus I wanted to avoid surprise for
> users. But of course I'll do whatever you think is the best.

ok. then let's not add ntohs for vlan_tpid

> Also in v3 I will leave out all the jit bits. Once non-jit bits are merged then
> I will be sending separate patches for the rest.

agree. makes sense to do classic JITs later as separate patch(es).
Could you also then add it to extended BPF as part of the same patch?
Same code should cover both classic and extended.
imo SKF_AD_VLAN_TPID is good as name for classic and
'vlan_tpid' as new field name for extended.

Thanks